# Namespace: timeout

## timeout

Sometimes there are timing issues and looks like beef_init is not called at all (always in cross-origin situations, for example calling the hook with jquery getScript, or sometimes with event handler injections).

To fix this, we call again beef_init after 1 second. Cheers to John Wilander that discussed this bug with me at OWASP AppSec Research Greece antisnatchor

Source:
  - timeout.js, line 7

### Methods

#### (static) setTimeout()

Source:
  - timeout.js, line 19